package com.mosty.common.token;

import lombok.AllArgsConstructor;

/**
 *  虚拟用户标识
 * @author kevin
 * @date 2022/2/25 9:52 AM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum VirtualUserEnum {

    /** 正常用户 */
    NATURE(1, "正常用户"),

    /** 虚拟用户 */
    VIRTUAL(2, "虚拟状态");

    /** 编码 */
    public final Integer code;

    /** 描述 */
    public final String desc;

    /**
     * 编码匹配 用户类型
     * @param code 编码
     * @return 虚拟用户枚举
     */
    public static VirtualUserEnum valueOf(Integer code) {
        if (code == null) {
            return null;
        }
        for (VirtualUserEnum virtualUserEnum : VirtualUserEnum.values()) {
            if (virtualUserEnum.code.equals(code)) {
                return virtualUserEnum;
            }
        }
        return null;
    }

}
